Bug 133611 - Localization files with empty Language: block build with gettext 0.19
Summary: Localization files with empty Language: block build with gettext 0.19
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Text (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Minor
Assignee: Michael Catanzaro
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-07 14:08 PDT by Cédric D.
Modified: 2016-04-16 19:39 PDT (History)
7 users (show)

See Also:


Attachments
Patch correcting the localization files with empty "Language" (2.16 KB, patch)
2014-06-07 14:08 PDT, Cédric D.
no flags Details | Formatted Diff | Diff
Patch (7.00 KB, patch)
2016-04-16 18:29 PDT, Michael Catanzaro
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Cédric D. 2014-06-07 14:08:05 PDT
Created attachment 232670 [details]
Patch correcting the localization files with empty "Language"

Some localization files in Source/WebCore/platform/gtk/po/ have an empty value for tag "Language:". As a result an error occurs during build with msgfmt 0.19 because it now returns an error when flag "-c" is used.

The attached patch corrects this issue.

Thank you for your attention.
Comment 1 Cédric D. 2014-06-10 13:45:20 PDT
The behaviour changed again in gettext 0.19.1. Here is an extract from its NEWS file:
* msgfmt now treats errors in the PO file header as non-fatal.  Since
  0.19 msgfmt started to abort on the fatal errors, but some
  translation systems are still not ready to supply valid headers.
Comment 2 Piotr Drąg 2016-04-16 16:22:18 PDT
The patch is out of date. Currently as, en_CA, gu, hu, id, ko, lv, pa, ru, and sl translations have missing or incorrect Language tags.
Comment 3 Michael Catanzaro 2016-04-16 18:29:34 PDT
Created attachment 276568 [details]
Patch
Comment 4 WebKit Commit Bot 2016-04-16 19:39:08 PDT
Comment on attachment 276568 [details]
Patch

Clearing flags on attachment: 276568

Committed r199637: <http://trac.webkit.org/changeset/199637>
Comment 5 WebKit Commit Bot 2016-04-16 19:39:12 PDT
All reviewed patches have been landed.  Closing bug.